<template>
  <div>
    <p>Messages: {{ unreadFrom.length }}</p>
    <button @click="handleClick">Add</button>
  </div>
</template>

<script>
import { mapState, mapGetters, mapMutations, mapActions } from "vuex";
export default {
  name: "NotificationCount",
  data() {
    return {};
  },
  methods: {
    handleClick() {
      const message = { read: false, user:{name: "kata" }} 
      // this.addMessage(message);
      this.updateMessage()
      // this.$store.commit('addMessage', message);
    },
    ...mapMutations(["addMessage"]),
    ...mapActions(["updateMessage"])
  },
  computed: {
    ...mapState({
      messageCount: (state) => state.messages.length,
      somethingElse: "somethingElse",
    }),
    ...mapGetters(["unread", "unreadFrom"]),
  },
};
</script>

<style scoped>
</style>
